Differences between revisions 1 and 52 (spanning 51 versions)
Revision 1 as of 2010-08-28 12:01:19
Size: 9055
Comment: first translated version
Revision 52 as of 2019-07-05 21:49:45
Size: 11808
Editor: ?Yvan Masson
Comment: Replace Iceweasel by Firefox
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:
##TRANSLATION-HEADER-START
||<tablestyle="width: 100%;" style="border: 0px hidden">~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[FlashPlayer|English]] - Italiano-~||<style="text-align: right;border: 0px hidden"> (!) [[/Discussion|Discussion]]||
##TRANSLATION-HEADER-END
~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[FlashPlayer|English]] - [[es/FlashPlayer|Español]] - [[fr/FlashPlayer|Français]] - Italiano - [[ru/FlashPlayer|Русский]] - [[zh_CN/FlashPlayer|简体中文]]-~
Line 9: Line 7:
Questa pagina del Wiki descrive come installare Adobe Flash Player, prima conosciuto come Macromedia Flash Player, sui sistemi Debian. Questa pagina rappresenta la pagina web del pacchetto Debian DebPkg:flashplugin-nonfree.

<<TableOfContents(2)>>

== Accordo di Licenza per l'utente finale di Adobe Flash Player ==

Le versioni più recenti del pachetto Debian DebPkg:flashplugin-nonfree contengono questo avvertimento nella descrizione del pacchetto:
||<tablestyle="width:100%; text-align: left" style="border:0">{{https://upload.wikimedia.org/wikipedia/commons/3/32/Adobe_Flash_Player_v11_icon.png}}||<style="border:0; vertical-align: top;">'''Adobe Flash Player''' è una piattaforma multimediale usata per aggiungere animazioni, video e interattività alle pagine web. Flash è usato spesso per pubblicità e giochi.<<BR>>Questa pagina del Wiki descrive come installare Adobe Flash Player, prima conosciuto come Macromedia Flash Player, sui sistemi Debian. Questa pagina rappresenta la pagina web del pacchetto Debian DebPkg:flashplugin-nonfree.||

<<TableOfContents>>

== Accordo di licenza per l'utente finale di Adobe Flash Player ==

Le versioni più recenti del pacchetto Debian flashplugin-nonfree contengono questo avvertimento nella descrizione del pacchetto:
Line 26: Line 24:
<<Anchor(lenny)>>
== Debian 5.0 'Lenny' i386 ==

Configurare il sistema in modo che usi lenny-backports aggiungendo questa riga al file {{{sources.list}}}
{{{
deb http://www.backports.org/debian lenny-backports main contrib non-free
}}}
così come descritto in: http://backports.org/dokuwiki/doku.php?id=instructions . Attenzione: il sistema risultante non può più essere considerato un sistema "stabile" puro.

Installare flashplugin-nonfree:
{{{
aptitude update
aptitude install flashplugin-nonfree
}}}

Aggiornare flashplugin-nonfree:
{{{
aptitude update
aptitude upgrade
}}}

Aggiornare Adobe Flash Player:
{{{
/usr/sbin/update-flashplugin-nonfree --install
}}}


== Debian 5.0 'Lenny' amd64 ==

Attualmente non è supportato da Adobe. Vedere l'[[http://labs.adobe.com/technologies/flashplayer10/64bit.html|annuncio di Adobe]] e il bug [[DebianBug:586273|#586273]].

Tuttavia c'è un modo per aggirare il problema:

 1. {{{aptitude install fakeroot binutils nspluginwrapper ia32-libs}}}
 1. Scaricare ed eseguire questo script: http://people.debian.org/~bartm/flashplugin-nonfree/ia32-libs-workaround-499043-lenny.sh
 1. {{{dpkg -i ia32-libs-workaround-499043_0.0.1+lenny1_amd64.deb}}}
 1. Installare questo pacchetto: http://people.debian.org/~bartm/flashplugin-nonfree/flashplugin-nonfree_10.1.82.76.1_amd64.deb

Inoltre esiste un altro modo per aggirare il problema (metodo di Bartm molto modificato (di Darth Revan)):

{{{
sudo aptitude -y purge flashplugin-nonfree > /dev/null;
sudo aptitude -y install fakeroot binutils nspluginwrapper ia32-libs;
sudo wget http://people.debian.org/~bartm/flashplugin-nonfree/ia32-libs-workaround-499043-lenny.sh;
sh ia32-libs-workaround-499043-lenny.sh;
sudo rm ia32-libs-workaround-499043-lenny.sh;
sudo dpkg -i ./ia32-libs-workaround-499043_0.0.1+lenny1_amd64.deb;
sudo rm "./ia32-libs-workaround-499043_0.0.1+lenny1_amd64.deb";
sudo wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.deb;
sudo mkdir "/usr/lib/adobe-flashplugin" 2> /dev/null;
sudo rm -rf "/usr/lib/flashplugin-nonfree" 2> /dev/null;
sudo rm "/usr/lib/adobe-flashplugin/libflashplayer.so" 2> /dev/null;
sudo rm "/usr/lib/adobe-flashplugin/flashplayer.xpt" 2> /dev/null;
sudo dpkg -i --force-architecture "./install_flash_player_10_linux.deb" > /dev/null;
sudo rm "./install_flash_player_10_linux.deb";
sudo chown root:root "/usr/lib/adobe-flashplugin/libflashplayer.so";
sudo chmod 644 "/usr/lib/adobe-flashplugin/libflashplayer.so";
sudo nspluginwrapper --native --install /usr/lib/adobe-flashplugin/libflashplayer.so 2> /dev/null;
}}}

Un approccio completamente diverso è l'installazione di un browser e del plugin a 32 bit in un ambiente chroot i386 come descritto in [[http://alioth.debian.org/docman/view.php/30192/21/debian-amd64-howto.html|AMD64 HOWTO]].


<<Anchor(testing)>>
== Debian Testing 'Squeeze' i386 ==

Da fare una volta soltanto: assicurarsi che le fonti di APT ({{{/etc/apt/sources.list}}}) permettano l'installazione di DebPkg:flashplugin-nonfree da contrib.

Installare flashplugin-nonfree:
{{{
aptitude update
aptitude install flashplugin-nonfree
}}}

Aggiornare flashplugin-nonfree:
{{{
aptitude update
aptitude upgrade
}}}

Aggiornare Adobe Flash Player:
{{{
update-flashplugin-nonfree --install
}}}

== Debian Testing 'Squeeze' amd64 ==

Attualmente non è supportato da Adobe. Vedere l'[[http://labs.adobe.com/technologies/flashplayer10/64bit.html|annuncio di Adobe]] e il bug [[DebianBug:586273|#586273]].

Tuttavia c'è un modo per aggirare il problema:

 1. {{{aptitude install fakeroot binutils nspluginwrapper ia32-libs}}}
 1. Scaricare ed eseguire questo script: http://people.debian.org/~bartm/flashplugin-nonfree/ia32-libs-workaround-499043-squeeze.sh
 1. {{{dpkg -i ia32-libs-workaround-499043_0.0.1+squeeze1_amd64.deb}}}
 1. Installare questo pacchetto: http://people.debian.org/~bartm/flashplugin-nonfree/flashplugin-nonfree_10.1.82.76.1_amd64.deb

||<#ffcccc> '''Nota Bene:''' Se si ottiene un errore '''checksum mismatch''' al passo numero 4, controllare il metodo successivo per aggirare il problema.||

Inoltre esiste un altro modo per aggirare il problema (metodo di Bartm molto modificato (di Darth Revan)):

{{{
sudo aptitude -y purge flashplugin-nonfree > /dev/null;
sudo aptitude -y install fakeroot binutils nspluginwrapper ia32-libs;
sudo wget http://people.debian.org/~bartm/flashplugin-nonfree/ia32-libs-workaround-499043-squeeze.sh;
sh ia32-libs-workaround-499043-squeeze.sh;
sudo rm ia32-libs-workaround-499043-squeeze.sh;
sudo dpkg -i ia32-libs-workaround-499043_0.0.1+squeeze1_amd64.deb;
sudo rm "./ia32-libs-workaround-499043_0.0.1+squeeze1_amd64.deb";
sudo wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.deb;
sudo mkdir "/usr/lib/adobe-flashplugin" 2> /dev/null;
sudo rm -rf "/usr/lib/flashplugin-nonfree" 2> /dev/null;
sudo rm "/usr/lib/adobe-flashplugin/libflashplayer.so" 2> /dev/null;
sudo rm "/usr/lib/adobe-flashplugin/flashplayer.xpt" 2> /dev/null;
sudo dpkg -i --force-architecture "./install_flash_player_10_linux.deb" > /dev/null;
sudo rm "./install_flash_player_10_linux.deb";
sudo chown root:root "/usr/lib/adobe-flashplugin/libflashplayer.so";
sudo chmod 644 "/usr/lib/adobe-flashplugin/libflashplayer.so";
sudo nspluginwrapper --native --install /usr/lib/adobe-flashplugin/libflashplayer.so 2> /dev/null;
}}}

Un approccio completamente diverso è l'installazione di un browser e del plugin a 32 bit in un ambiente chroot i386 come descritto in [[http://alioth.debian.org/docman/view.php/30192/21/debian-amd64-howto.html|AMD64 HOWTO]].

== Browser supportati in Debian ==

 * [[Iceweasel]]
 * [[http://www.gnome.org/projects/epiphany/|Epiphany Gecko]]
 * Galeon
== Installazione ==

=== Debian 9 Stretch ===

1. Scaricare il più recente Adobe Flash Player per Linux da https://get.adobe.com/flashplayer/

 * Sui sistemi a 64 bit dovrebbe essere: flash_player_npapi_linux.x86_64.tar.gz<<BR>>
 * Sui sistemi a 32 bit dovrebbe essere: flash_player_npapi_linux.i386.tar.gz

In alternativa si può scaricarlo da: https://get.adobe.com/flashplayer/otherversions/

2. Spacchettare il file tar.gz: '''tar -xzf flash_player_npapi_linux*.tar.gz'''

3. Identificare la posizione della directory dei plugin del browser a seconda della propria distribuzione Linux e versione di Firefox:

''Esempio: Debian 9 Stretch + Firefox 52.4.0 (64-Bit): '''/usr/lib/mozilla/plugins/'''''

4. Copiare '''libflashplayer.so''' nella corretta directory dei plugin del browser: '''sudo cp libflashplayer.so <posizione-plugin-browser>'''

''Esempio: sudo cp libflashplayer.so /usr/lib/mozilla/plugins/''

5. Copiare i file di configurazione delle impostazioni locali di Flash Player nella directory /usr: '''sudo cp -r usr/* /usr'''

=== Versioni più vecchie ===

''Nota : il pacchetto flashplugin-nonfree non è nella distribuzione stable. Fare riferimento al metodo [[it/FlashPlayer#Aggiornamento_manuale|Aggiornamento manuale]].''

 1. Assicurarsi che il proprio file /etc/apt/sources.list includa la sezione contrib (per maggiori informazioni vedere [[it/SourcesList|sources.list]])
 1. Installare flashplugin-nonfree (dalla sezione contrib):
{{{
# apt-get install flashplugin-nonfree
}}}
== Aggiornamento ==
=== Aggiornamento semi-automatico ===
Come aggiornare Adobe Flash Player:
{{{
# update-flashplugin-nonfree --install
}}}

Se ciò fallisce con un messaggio "ERROR: wget failed to download ...", provare l'[[#Aggiornamento_manuale|Aggiornamento manuale]].

=== Aggiornamento manuale ===

Quando si esegue `update-flashplugin-nonfree --install` si può ottenere il seguente errore:

`ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/fp.24.0.0.221.sha512.amd64.pgp.asc`

Sfortunatamente questo è un [[https://bugs.debian.org/flashplugin-nonfree|bug ricorrente]], tuttavia è possibile aggiornare il plugin manualmente seguendo questa procedura:

  1. Scaricare il più recente rilascio del plugin in formato tar.gz da https://get.adobe.com/flashplayer/
  1. Come root, estrarre il pacchetto tar.gz e copiare `libflashplayer.so` in `/usr/lib/flashplugin-nonfree`
  1. Dare al file dei valori di permessi/proprietario ragionevoli:
  {{{
  chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so
  chown root:root /usr/lib/flashplugin-nonfree/libflashplayer.so
  }}}
  1. Controllare che la voce relativa di `/etc/alternatives` sia corretta (questo non dovrebbe essere necessario se il plugin funzionava correttamente prima dell'aggiornamento)
  `update-alternatives --list flash-mozilla.so` dovrebbe restituire `/usr/lib/flashplugin-nonfree/libflashplayer.so`
  Se non è così, si può risolvere la cosa con:
  `update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50`

Note that the filename may be libpepflashplayer.so for the [[PepperFlashPlayer]] variant.

(la procedura è basata su quella suggerita in: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851066#30)

Notare che il nome file può essere libpepflashplayer.so per la variante [[PepperFlashPlayer|Pepper FlashPlayer]].

== Disinstallazione ==
Ecco come disinstallare Adobe Flash Player e il pacchetto flashplugin-nonfree:
{{{
# update-flashplugin-nonfree --uninstall
# apt-get remove flashplugin-nonfree
}}}

== Browser compatibili ==
=== Browser supportati ===

 * [[it/Firefox|Firefox]]
 * [[it/Konqueror|Konqueror]] (se è presente il supporto per i plugin di Netscape)
 * [[it/Chromium|Chromium]]

=== Browser non supportati ===
Line 154: Line 107:
 * [[Konqueror]]
 * Google Chrome
 * ... e altri.

== Segnalazioni di bug ==

Se si trova un problema in flashplugin-nonfree, allora la sua segnalazione nel sistema di tracciamento dei bug di Debian sarà la benvenuta.

Tuttavia Debian non può modificare Adobe Flash Player per risolvere i problemi in Debian.
Perciò se si scopre un problema in Adobe Flash Player, allora segnalarlo ad Adobe.

Se si è scoperto un modo di aggirare un problema, allora ogni aggiunta alla sezione "Risoluzione dei problemi" sottostante è la benvenuta.
Line 160: Line 119:
 * Messaggio di errore '''wget failed to download .../fp10.sha512.amd64.pgp.asc''': Adobe non supporta più il riproduttore a 64 bit. Tuttavia esiste un metodo per aggirare il problema (vedi sopra).
 * Ricordare che se si vuole far funzionare Flash Player con pulse, si può indicare a libasound di farlo nel proprio file {{{~/.asoundrc}}}:
{{{
 * Proxy : il pacchetto flashplugin-nonfree ha "la propria soluzione interna" per mettere in cache i grandi .tar.gz scaricati da Adobe. Il fp10.*.pgp.asc scaricato non è messo in cache da flashplugin-nonfree. Il consiglio dell'autore di questo paragrafo è di non usare mai un proxy con cache con flashplugin-nonfree, perché il recupero di fp10.*.pgp.asc dalla cache potrebbe risultare nell'installazione di un aggiornamento di sicurezza ritardato rispetto a quando sarebbe stato opportuno. Se si deve usare un proxy perché non si ha una via diretta verso Internet, allora ovviamente non si ha altra scelta; in tal caso questo dovrebbe funzionare: {{{
http_proxy=http://mio.proxy.intranet:8080/ apt-get install flashplugin-nonfree
}}}o{{{
https_proxy=http://my.proxy.intranet:8080/ apt-get install flashplugin-nonfree
}}} Anche questo dovrebbe funzionare: {{{
http_proxy=http://mio.proxy.intranet:8080/ update-flashplugin-nonfree --install
}}}o{{{
https_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install
}}} Oppure, con una variabile d'ambiente diversa da http_proxy, vedere: http://www.gnu.org/software/wget/manual/html_node/Proxies.html

 * Ricordare che se si vuole far funzionare Flash Player con pulse, si può indicare a libasound di farlo nel proprio file {{{~/.asoundrc}}}:{{{
Line 179: Line 146:
 * Per verificare la versione di Adobe Flash Player installata sul proprio sistema, andare alla [[http://www.adobe.com/products/flash/about/|pagina di About Flash Player]], oppure fare clic con il tasto destro sul contenuto mostrato in Flash Player e selezionare "About Adobe (o Macromedia) Flash Player" dal menu. Se si usa più di un browser, controllare il risultato in tutti i browser installati sul sistema. (Fonte: http://www.adobe.com/support/security/bulletins/apsb10-14.html)

 * Opera non usa nspluginwrapper. Ha un proprio meccanismo per eseguire plugin a 32-bit nel browser a 64-bit, perciò essi funzioneranno senza bisogno di installare nspluginwrapper.
 * Per verificare la versione di Adobe Flash Player installata sul proprio sistema, andare alla [[http://www.adobe.com/products/flash/about/|pagina di About Flash Player]], oppure fare clic con il tasto destro sul contenuto mostrato in Flash Player e selezionare "About Adobe (o Macromedia) Flash Player" dal menu. Se si usa più di un browser, controllare il risultato in tutti i browser installati sul sistema ([[https://www.adobe.com/support/security/|Fonte: bollettini di sicurezza di Flash player]]). Flash Player 11.2 è l'ultima versione di Flash Player supportata per Linux. Adobe continuerà a fornire aggiornamenti di sicurezza ([[http://www.adobe.com/software/flash/about/|Fonte]]).

 * Adobe ha dismesso il supporto per i processori senza SSE2 in Linux (si può controllare con "grep ^flags /proc/cpuinfo"; le lettere "sse2" dovrebbero comparire nell'elenco) in uno dei primi rilasci minori di Flash Player 11. Il riproduttore si installerà, ma poi andrà in crash quando viene invocato. Questo problema si verifica soprattutto sui più vecchi processori AMD a 32 bit. Si può installare Flash Player 10 da Adobe, vedere [[DebianBug:697339]].

 * Nel caso in cui il plugin causi un eccessivo uso della CPU, si può provare a creare un file {{{/etc/adobe/mms.cfg}}} che contenga: {{{
 # Impostazioni per Adobe player
 AVHardwareDisable = 0
 FullScreenDisable = 0
 LocalFileReadDisable = 1
 FileDownloadDisable = 1
 FileUploadDisable = 1
 LocalStorageLimit = 1
 ThirdPartyStorage = 1
 AssetCacheSize = 10
 AutoUpdateDisable = 1
 LegacyDomainMatching = 0
 LocalFileLegacyAction = 0
 AllowUserLocalTrust = 0
 # DisableSockets = 1
 OverrideGPUValidation = 1
}}}

 La decodifica hardware del video era considerata [[http://helpx.adobe.com/flash-player/release-note/release-notes-flash-player-10-3.html|sperimentale in FP 10.3]] e [[https://bugbase.adobe.com/index.cfm?event=bug&id=2992148|non è supportata in FP 11]] per ragioni di stabilità e può causare crash. Non è documentata nelle guide ufficiali per gli amministratori di Flash Player. Abilitarla a proprio rischio e pericolo: {{{
  EnableLinuxHWVideoDecode = 1
 }}}
 Altrimenti, una soluzione per gli utenti con portatili con schede video accelerate come Intel 945GM e Atom CPU è di retrocedere a FP10, in questo modo si possono ancora usare le funzionalità di accelerazione della GPU invece di sprecare CPU. Ma ciò non è raccomandato dato che Adobe fornirà gli aggiornamenti di sicurezza solo per FP 11.2.

 * Per una riproduzione fluida con Firefox è possibile sostituire le opzioni suddette con quelle sottostanti.

Ciò dovrebbe permettere una riproduzione HD fluida con l'accelerazione hardware (o senza accelerazione hardware) nel browser, tranne per HD a tutto schermo, a seconda delle prestazione della propria macchina.

{{{
AssetCacheSize = 50
LocalStorageLimit = 5
}}}

<<Anchor(flickering)>>
 * Se ci sono sfarfallamenti e lampeggiamenti costanti in alcune pagine web nella finestra del browser Chromium o Google Chrome, questo problema è causato da Flash player; i passi seguenti possono risolvere tale problema.

  1. Usando il proprio browser visualizzare una qualsiasi pagina web contenente un video flash
  1. Fare clic destro sul video, selezionare l'opzione "Settings" e disabilitare l'opzione "Enable hardware acceleration"
  1. Chiudere il browser, riaprirlo, fare clic destro sul video, selezionare l'opzione "Settings" e riabilitare l'opzione "Enable hardware acceleration"


== Vedere anche ==

 * [[PepperFlashPlayer|Riproduttore flash Pepper per Chromium e Google Chrome]]
Line 185: Line 197:
 * [[http://www.adobe.com/products/flashplayer/]] - Pagina web di Adobe Flash Player.
 * [[http://labs.adobe.com/downloads/flashplayer10.html]] - Pagina web di Adobe Flash Player 10.
 * DebianPkg:flashplugin-nonfree - flashplugin-nonfree su Debian Packages
 * DebianPts:flashplugin-nonfree - flashplugin-nonfree sul Debian Package Tracking System
 * [[DebianBug:src:flashplugin-nonfree]] - Bug nel pacchetto sorgente di flashplugin-nonfree
 * [[http://www.adobe.com/products/flashplayer/|Pagina web di Adobe Flash Player]]
 * [[DebianPkg:flashplugin-nonfree|flashplugin-nonfree su Debian Packages]]
 * [[DebianPts:flashplugin-nonfree|flashplugin-nonfree sul Sistema di tracciamento dei pacchetti Debian]]
 * [[DebianBug:src:flashplugin-nonfree|Bug nel pacchetto sorgente di flashplugin-nonfree]]
 * [[http://www.hdwebplayer.com/|Flash Video Player]]
Line 194: Line 205:
CategoryPermalink CategoryPermalink | CategoryProprietarySoftware

Translation(s): English - Español - Français - Italiano - Русский - 简体中文


Flash > Adobe Flash Player


https://upload.wikimedia.org/wikipedia/commons/3/32/Adobe_Flash_Player_v11_icon.png

Adobe Flash Player è una piattaforma multimediale usata per aggiungere animazioni, video e interattività alle pagine web. Flash è usato spesso per pubblicità e giochi.
Questa pagina del Wiki descrive come installare Adobe Flash Player, prima conosciuto come Macromedia Flash Player, sui sistemi Debian. Questa pagina rappresenta la pagina web del pacchetto Debian flashplugin-nonfree.

Accordo di licenza per l'utente finale di Adobe Flash Player

Le versioni più recenti del pacchetto Debian flashplugin-nonfree contengono questo avvertimento nella descrizione del pacchetto:

WARNING: Installing this Debian package causes the
Adobe Flash Player to be downloaded from www.adobe.com.
The End User License Agreement of the Adobe Flash Player
is available at www.adobe.com.

[In italiano: ATTENZIONE: l'installazione di questo pacchetto Debian fa sì che Adobe Flash Player venga scaricato da www.adobe.com. L'accordo di licenza per l'utente finale di Adobe Flash Player è disponibile su www.adobe.com.]

Installazione

Debian 9 Stretch

1. Scaricare il più recente Adobe Flash Player per Linux da https://get.adobe.com/flashplayer/

  • Sui sistemi a 64 bit dovrebbe essere: flash_player_npapi_linux.x86_64.tar.gz

  • Sui sistemi a 32 bit dovrebbe essere: flash_player_npapi_linux.i386.tar.gz

In alternativa si può scaricarlo da: https://get.adobe.com/flashplayer/otherversions/

2. Spacchettare il file tar.gz: tar -xzf flash_player_npapi_linux*.tar.gz

3. Identificare la posizione della directory dei plugin del browser a seconda della propria distribuzione Linux e versione di Firefox:

Esempio: Debian 9 Stretch + Firefox 52.4.0 (64-Bit): /usr/lib/mozilla/plugins/

4. Copiare libflashplayer.so nella corretta directory dei plugin del browser: sudo cp libflashplayer.so <posizione-plugin-browser>

Esempio: sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

5. Copiare i file di configurazione delle impostazioni locali di Flash Player nella directory /usr: sudo cp -r usr/* /usr

Versioni più vecchie

Nota : il pacchetto flashplugin-nonfree non è nella distribuzione stable. Fare riferimento al metodo Aggiornamento manuale.

  1. Assicurarsi che il proprio file /etc/apt/sources.list includa la sezione contrib (per maggiori informazioni vedere sources.list)

  2. Installare flashplugin-nonfree (dalla sezione contrib):

# apt-get install flashplugin-nonfree

Aggiornamento

Aggiornamento semi-automatico

Come aggiornare Adobe Flash Player:

# update-flashplugin-nonfree --install

Se ciò fallisce con un messaggio "ERROR: wget failed to download ...", provare l'Aggiornamento manuale.

Aggiornamento manuale

Quando si esegue update-flashplugin-nonfree --install si può ottenere il seguente errore:

ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/fp.24.0.0.221.sha512.amd64.pgp.asc

Sfortunatamente questo è un bug ricorrente, tuttavia è possibile aggiornare il plugin manualmente seguendo questa procedura:

  1. Scaricare il più recente rilascio del plugin in formato tar.gz da https://get.adobe.com/flashplayer/

  2. Come root, estrarre il pacchetto tar.gz e copiare libflashplayer.so in /usr/lib/flashplugin-nonfree

  3. Dare al file dei valori di permessi/proprietario ragionevoli:
      chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so
      chown root:root /usr/lib/flashplugin-nonfree/libflashplayer.so
  4. Controllare che la voce relativa di /etc/alternatives sia corretta (questo non dovrebbe essere necessario se il plugin funzionava correttamente prima dell'aggiornamento) update-alternatives --list flash-mozilla.so dovrebbe restituire /usr/lib/flashplugin-nonfree/libflashplayer.so Se non è così, si può risolvere la cosa con: update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50

Note that the filename may be libpepflashplayer.so for the PepperFlashPlayer variant.

(la procedura è basata su quella suggerita in: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851066#30)

Notare che il nome file può essere libpepflashplayer.so per la variante Pepper FlashPlayer.

Disinstallazione

Ecco come disinstallare Adobe Flash Player e il pacchetto flashplugin-nonfree:

# update-flashplugin-nonfree --uninstall
# apt-get remove flashplugin-nonfree

Browser compatibili

Browser supportati

Browser non supportati

Segnalazioni di bug

Se si trova un problema in flashplugin-nonfree, allora la sua segnalazione nel sistema di tracciamento dei bug di Debian sarà la benvenuta.

Tuttavia Debian non può modificare Adobe Flash Player per risolvere i problemi in Debian. Perciò se si scopre un problema in Adobe Flash Player, allora segnalarlo ad Adobe.

Se si è scoperto un modo di aggirare un problema, allora ogni aggiunta alla sezione "Risoluzione dei problemi" sottostante è la benvenuta.

Risoluzione di problemi

  • Proxy : il pacchetto flashplugin-nonfree ha "la propria soluzione interna" per mettere in cache i grandi .tar.gz scaricati da Adobe. Il fp10.*.pgp.asc scaricato non è messo in cache da flashplugin-nonfree. Il consiglio dell'autore di questo paragrafo è di non usare mai un proxy con cache con flashplugin-nonfree, perché il recupero di fp10.*.pgp.asc dalla cache potrebbe risultare nell'installazione di un aggiornamento di sicurezza ritardato rispetto a quando sarebbe stato opportuno. Se si deve usare un proxy perché non si ha una via diretta verso Internet, allora ovviamente non si ha altra scelta; in tal caso questo dovrebbe funzionare:

    http_proxy=http://mio.proxy.intranet:8080/ apt-get install flashplugin-nonfree

    o

    https_proxy=http://my.proxy.intranet:8080/ apt-get install flashplugin-nonfree

    Anche questo dovrebbe funzionare:

    http_proxy=http://mio.proxy.intranet:8080/ update-flashplugin-nonfree --install

    o

    https_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install

    Oppure, con una variabile d'ambiente diversa da http_proxy, vedere: http://www.gnu.org/software/wget/manual/html_node/Proxies.html

  • Ricordare che se si vuole far funzionare Flash Player con pulse, si può indicare a libasound di farlo nel proprio file ~/.asoundrc:

    pcm.pulse {
        type pulse
    }
    
    ctl.pulse {
        type pulse
    }
    
    pcm.!default {
        type pulse
    }
    
    ctl.!default {
        type pulse
    }
  • Per verificare la versione di Adobe Flash Player installata sul proprio sistema, andare alla pagina di About Flash Player, oppure fare clic con il tasto destro sul contenuto mostrato in Flash Player e selezionare "About Adobe (o Macromedia) Flash Player" dal menu. Se si usa più di un browser, controllare il risultato in tutti i browser installati sul sistema (Fonte: bollettini di sicurezza di Flash player). Flash Player 11.2 è l'ultima versione di Flash Player supportata per Linux. Adobe continuerà a fornire aggiornamenti di sicurezza (Fonte).

  • Adobe ha dismesso il supporto per i processori senza SSE2 in Linux (si può controllare con "grep ^flags /proc/cpuinfo"; le lettere "sse2" dovrebbero comparire nell'elenco) in uno dei primi rilasci minori di Flash Player 11. Il riproduttore si installerà, ma poi andrà in crash quando viene invocato. Questo problema si verifica soprattutto sui più vecchi processori AMD a 32 bit. Si può installare Flash Player 10 da Adobe, vedere 697339.

  • Nel caso in cui il plugin causi un eccessivo uso della CPU, si può provare a creare un file /etc/adobe/mms.cfg che contenga:

     # Impostazioni per Adobe player
     AVHardwareDisable = 0
     FullScreenDisable = 0
     LocalFileReadDisable = 1
     FileDownloadDisable = 1
     FileUploadDisable = 1
     LocalStorageLimit = 1
     ThirdPartyStorage = 1
     AssetCacheSize = 10
     AutoUpdateDisable = 1
     LegacyDomainMatching = 0
     LocalFileLegacyAction = 0
     AllowUserLocalTrust = 0
     # DisableSockets = 1
     OverrideGPUValidation = 1

    La decodifica hardware del video era considerata sperimentale in FP 10.3 e non è supportata in FP 11 per ragioni di stabilità e può causare crash. Non è documentata nelle guide ufficiali per gli amministratori di Flash Player. Abilitarla a proprio rischio e pericolo:

      EnableLinuxHWVideoDecode = 1
    Altrimenti, una soluzione per gli utenti con portatili con schede video accelerate come Intel 945GM e Atom CPU è di retrocedere a FP10, in questo modo si possono ancora usare le funzionalità di accelerazione della GPU invece di sprecare CPU. Ma ciò non è raccomandato dato che Adobe fornirà gli aggiornamenti di sicurezza solo per FP 11.2.
  • Per una riproduzione fluida con Firefox è possibile sostituire le opzioni suddette con quelle sottostanti.

Ciò dovrebbe permettere una riproduzione HD fluida con l'accelerazione hardware (o senza accelerazione hardware) nel browser, tranne per HD a tutto schermo, a seconda delle prestazione della propria macchina.

AssetCacheSize = 50
LocalStorageLimit = 5

  • Se ci sono sfarfallamenti e lampeggiamenti costanti in alcune pagine web nella finestra del browser Chromium o Google Chrome, questo problema è causato da Flash player; i passi seguenti possono risolvere tale problema.
    1. Usando il proprio browser visualizzare una qualsiasi pagina web contenente un video flash
    2. Fare clic destro sul video, selezionare l'opzione "Settings" e disabilitare l'opzione "Enable hardware acceleration"
    3. Chiudere il browser, riaprirlo, fare clic destro sul video, selezionare l'opzione "Settings" e riabilitare l'opzione "Enable hardware acceleration"

Vedere anche

Collegamenti esterni


CategoryPermalink | CategoryProprietarySoftware